
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using APT.Infrastructure.Core;

namespace APT.MS.Domain.Entities.HM
{
    /// <summary>
    /// 危险源及风险库相关设备
    /// </summary>
    [Description("危险源及风险库相关设备")]
    public class T_HM_EVALUATE_RISK_EQUIPMENT : MesEntityBase
    {
        /// <summary>
        /// 危险源及风险库ID
        /// </summary>
        [Description("危险源及风险库ID")]
        [DataFieldForeignKey("Nav_EvaluationRisk", "Nav_EvaluateRiskEquipment")]
        public Guid EVALUATION_RISK_ID { get; set; }

        /// <summary>
        /// 相关设备
        /// </summary>
        [Description("相关设备")]
        [DataFieldForeignKey("Nav_Equipment")]
        [FormFieldEdit]
        public Guid EQUIPMENT_ID { get; set; }

        /// <summary>
        /// 导航属性：危险源及风险库
        /// </summary>
        [Description("导航属性：危险源及风险库")]
        public T_HM_EVALUATE_RISK Nav_EvaluationRisk { get; set; }

        /// <summary>
        /// 导航属性：相关设备
        /// </summary>
        [Description("导航属性：相关设备")]
        public T_HM_EQUIPMENT Nav_Equipment { get; set; }
    }
}
